ActiveManagementCoordinator (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.management

## Class ActiveManagementCoordinator

- java.lang.Object
- - com.mchange.v2.c3p0.management.ActiveManagementCoordinator

- All Implemented Interfaces:
    ManagementCoordinator

      public class ActiveManagementCoordinator
      extends java.lang.Object
      implements ManagementCoordinator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `C3P0_REGISTRY_NAME_KEY`
    `static java.lang.String` | `EXCLUDE_IDENTITY_TOKEN_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveManagementCoordinator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attemptManageC3P0Registry()`
    `void` | `attemptManagePooledDataSource(PooledDataSource pds)`
    `void` | `attemptUnmanageC3P0Registry()`
    `void` | `attemptUnmanagePooledDataSource(PooledDataSource pds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### C3P0_REGISTRY_NAME_KEY

          public static final java.lang.String C3P0_REGISTRY_NAME_KEY

      See Also:
        Constant Field Values

    - #### EXCLUDE_IDENTITY_TOKEN_KEY

          public static final java.lang.String EXCLUDE_IDENTITY_TOKEN_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveManagementCoordinator

          public ActiveManagementCoordinator()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### attemptManageC3P0Registry

          public void attemptManageC3P0Registry()

      Specified by:
        `attemptManageC3P0Registry` in interface `ManagementCoordinator`

    - #### attemptUnmanageC3P0Registry

          public void attemptUnmanageC3P0Registry()

      Specified by:
        `attemptUnmanageC3P0Registry` in interface `ManagementCoordinator`

    - #### attemptManagePooledDataSource

          public void attemptManagePooledDataSource(PooledDataSource pds)

      Specified by:
        `attemptManagePooledDataSource` in interface `ManagementCoordinator`

    - #### attemptUnmanagePooledDataSource

          public void attemptUnmanagePooledDataSource(PooledDataSource pds)

      Specified by:
        `attemptUnmanagePooledDataSource` in interface `ManagementCoordinator`